<app-loading *ngIf="isLoading"></app-loading>
<nz-card class="card-header">
  <div class="action-breadcrumb-float-right">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonText="{{ 'development.formLD.button.add' | translate }}"
      (click)="create()"
    >
    </mb-button>
    <!-- <button nz-button nzSize="large" nzType="primary" (click)="create()">
      {{ 'development.formLD.button.add' | translate }}
    </button> -->
  </div>
  <form nz-form>
    <div nz-row [nzGutter]="[16]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.formGroup"
          name="proposeType"
          [mbDataSelects]="dataCommon?.mapFormGroup"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.formGroup' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.formGroup' | translate }}"
        >
        </mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.formName"
          [mbMaxLength]="50"
          name="formName"
          mbLabelText="{{ 'development.formLD.table.formName' | translate }}"
          mbPlaceholderText="{{ 'development.formLD.table.input' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.formType"
          name="formType"
          [mbDataSelects]="dataCommon?.mapFormType"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.formType' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.formType' | translate }}"
        >
        </mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.status"
          name="status"
          [mbDataSelects]="dataCommon?.mapFormStatus"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.formLD.table.status' | translate }}"
          mbPlaceholder="{{ 'development.formLD.table.getAll' | translate }}"
        ></mb-select>
      </div>
    </div>
  </form>
  <div class="block-action-search">
    <mb-button
      mbButtonAvailableStyle="DEFAULT"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.formLD.button.search' | translate }}"
      (click)="search(true)"
      [disabled]="isLoading"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      (click)="exportExcel()"
      [disabled]="isLoading"
    >
      <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table
    (changePageNum)="pageChange($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #actionTmpl let-code="code">
  <em
    nz-icon
    class="icon-table"
    nzType="edit"
    nzTheme="outline"
    (click)="update(code)"
  ></em>
  <em
    nz-icon
    class="icon-table"
    nzType="delete"
    nzTheme="outline"
    (click)="delete(code)"
  ></em>
</ng-template>

<ng-template #minTime let-showMinTime="showMinTime">
  <label nz-checkbox class="checkbox-table" [ngModel]="showMinTime" [disabled]="true"></label>
</ng-template>
<ng-template #maxTime let-showMaxTime="showMaxTime">
  <label nz-checkbox class="checkbox-table" [ngModel]="showMaxTime" [disabled]="true"></label>
</ng-template>
<ng-template #seniority let-showSeniority="showSeniority">
  <label nz-checkbox class="checkbox-table" [ngModel]="showSeniority" [disabled]="true"></label>
</ng-template>
